Convert disoriented group copies into component instances
-
The faces are identical except for their locations. I want them to be the same component (that is, copies of the same component), but so far have not succeeded. Is there an easy way. When I group each face with its edges they are all different groups, not copies of the same. I know I can place a component onto each face and then edit that to be what I want but I'd like something quicker if possible.
-
Maybe all this can help you
Loose2group By Chris Fullmer
Transform any element in groupAll codes by TIG to write in the Ruby Consol
Objects of a selection in componentsm=Sketchup.active_model; m.start_operation("Faces>Compos"); n=m.active_entities;m.selection.to_a.each{|e|(g=n.add_group(e.all_connected); g.to_component.definition.name="FaceSet#1")if e.valid? and e.parent==n.parent and e.class==Sketchup;;Face}; m.commit_operation
Faces in components
m=Sketchup.active_model; n=m.active_entities; m.selection.to_a.each{|e|(g=n.add_group(e); g.to_component.definition.name="Face#1")if e.class==Sketchup;;Face}
Faces in groups
m=Sketchup.active_model;n=m.active_entities;m.selection.to_a.each{|e|n.add_group(e)if e.class==Sketchup;;Face};
-
Merci, Pilou. I don't think I need Chris' PI for this as I have no problem selecting the faces that I want. I'm not sure how the TIG code bits help, either. I want each face or each face group to be made into an instance of the same component.
Your mark-up tool is very nice, though. Is it available in English?
Advertisement